using Quadarax.Foundation.Common.Object;

namespace Quadarax.Foundation.QConsole.Context
{
    public class DefualtEngineContext : DisposableObject, IEngineContext
    {
        protected override void OnDisposing()
        {
        }

        public ICommandContext CreateCommandContext()
        {
            return new DefaultCommandContext();
        }

        public string Status => "READY";

        public override string ToString()
        {
            return "Default empty engine context";
        }
    }
}
